def readLog(f):
    log = open(f, 'r')
    logContents = log.readlines()[:]
    log.close()
    naoMatrix = []
    for i, c in enumerate(logContents):
        if nao_matrix in c:
            index = i + 1
            flag = 0
            while True:
                logLine = logContents[index]
                if logLine == '\n':
                    index += 3
                    flag += 1
                    nao_index = 0
                    logLine = logContents[index]
                if logLine == '\n':
                    return naoMatrix
                logLineList = logLine.strip().split()
                if flag == 1:
                    naoMatrix.append(list(map(eval, logLineList[2:])))
                    naoMatrix[-1].insert(0, logLineList[1])
                else:
                    naoMatrix[nao_index].extend(list(map(eval, logLineList[2:])))
                    nao_index += 1
                index += 1


def findSp(f):
    naoMatrix = readLog(f)
    hInN = hInO = 0
    try:
        for i, n in enumerate(naoMatrix):
            if n[0] == 'H':
                temp_nao = [v for v in n[1:] if v > 0.5]
                try:
                    if naoMatrix[n.index(temp_nao[0])-1][0] == 'N':
                        hInN += 1
                    if naoMatrix[n.index(temp_nao[0])-1][0] == 'O':
                        hInO += 1
                except IndexError:
                    pass
        print("{:><20} hInN: {:<2}, hInO: {:<2}".format(f, hInN, hInO))
        print("{:><20} hInN: {:<2}, hInO: {:<2}".format(f, hInN, hInO), file=open('hInNorO', 'a'))
    except TypeError:
        pass


if __name__ == '__main__':
    from glob import glob
    import os
    import time
    from psutil import cpu_count
    from multiprocessing import Pool
    start = time.time()
    if os.path.exists('hInNorO'):
        os.remove('hInNorO')
    nameFile = open('file.list', 'r')
    files = nameFile.readlines()
    nameFile.close()
    for f in files:
        if f:
            findSp(f.strip()+'.log')
    end = time.time()
    print("time costing: {}".format(end - start))